cascading.tap.hadoop.io

## Class HttpFileSystem

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.hadoop.fs.FileSystem
    - - cascading.tap.hadoop.io.StreamedFileSystem
      - - cascading.tap.hadoop.io.HttpFileSystem

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, org.apache.hadoop.conf.Configurable

      public class HttpFileSystem
      extends StreamedFileSystem

  Class HttpFileSystem provides a basic read-only `FileSystem` for accessing remote HTTP and HTTPS data.

  To use this FileSystem, just use regular http:// or https:// URLs.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.fs.FileSystem

      `org.apache.hadoop.fs.FileSystem.Statistics`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `HTTP_SCHEME` Field HTTP_SCHEME
    `static java.lang.String` | `HTTPS_SCHEME` Field HTTPS_SCHEME

    - ### Fields inherited from class org.apache.hadoop.fs.FileSystem

      `FS_DEFAULT_NAME_KEY, statistics`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpFileSystem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `exists(org.apache.hadoop.fs.Path path)`
    `org.apache.hadoop.fs.FileStatus` | `getFileStatus(org.apache.hadoop.fs.Path path)`
    `java.net.URI` | `getUri()`
    `org.apache.hadoop.fs.FileStatus[]` | `globStatus(org.apache.hadoop.fs.Path path, org.apache.hadoop.fs.PathFilter pathFilter)`
    `void` | `initialize(java.net.URI uri, org.apache.hadoop.conf.Configuration configuration)`
    `org.apache.hadoop.fs.FSDataInputStream` | `open(org.apache.hadoop.fs.Path path, int i)`

    - ### Methods inherited from class cascading.tap.hadoop.io.StreamedFileSystem

      `append, create, delete, delete, getMD5SumFor, getMD5SumFor, getWorkingDirectory, listStatus, mkdirs, rename, setMD5SumFor, setMD5SumFor, setWorkingDirectory`

    - ### Methods inherited from class org.apache.hadoop.fs.FileSystem

      `addFileSystemForTesting, append, append, checkPath, clearStatistics, close, closeAll, closeAllForUGI, completeLocalOutput, concat, copyFromLocalFile, copyFromLocalFile, copyFromLocalFile, copyFromLocalFile, copyToLocalFile, copyToLocalFile, create, create, create, create, create, create, create, create, create, create, createNewFile, createNonRecursive, createNonRecursive, deleteOnExit, get, get, get, getAllStatistics, getBlockSize, getCacheSize, getCanonicalServiceName, getCanonicalUri, getContentSummary, getDefaultBlockSize, getDefaultBlockSize, getDefaultPort, getDefaultReplication, getDefaultReplication, getDefaultUri, getDelegationToken, getFileBlockLocations, getFileChecksum, getHomeDirectory, getLength, getLocal, getName, getNamed, getReplication, getStatistics, getStatistics, getUsed, globStatus, isDirectory, isFile, listStatus, listStatus, listStatus, makeQualified, mkdirs, mkdirs, moveFromLocalFile, moveFromLocalFile, moveToLocalFile, open, printStatistics, processDeleteOnExit, setDefaultUri, setDefaultUri, setOwner, setPermission, setReplication, setTimes, setVerifyChecksum, startLocalOutput`

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HTTP_SCHEME

          public static final java.lang.String HTTP_SCHEME

      Field HTTP_SCHEME
      See Also:
        Constant Field Values

    - #### HTTPS_SCHEME

          public static final java.lang.String HTTPS_SCHEME

      Field HTTPS_SCHEME
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HttpFileSystem

          public HttpFileSystem()

  - ### Method Detail

    - #### initialize

          public void initialize(java.net.URI uri,
                        org.apache.hadoop.conf.Configuration configuration)
                          throws java.io.IOException

      Overrides:
        `initialize` in class `org.apache.hadoop.fs.FileSystem`
      Throws:
        `java.io.IOException`

    - #### getUri

          public java.net.URI getUri()

      Specified by:
        `getUri` in class `org.apache.hadoop.fs.FileSystem`

    - #### globStatus

          public org.apache.hadoop.fs.FileStatus[] globStatus(org.apache.hadoop.fs.Path path,
                                                     org.apache.hadoop.fs.PathFilter pathFilter)
                                                       throws java.io.IOException

      Overrides:
        `globStatus` in class `org.apache.hadoop.fs.FileSystem`
      Throws:
        `java.io.IOException`

    - #### open

          public org.apache.hadoop.fs.FSDataInputStream open(org.apache.hadoop.fs.Path path,
                                                    int i)
                                                      throws java.io.IOException

      Specified by:
        `open` in class `org.apache.hadoop.fs.FileSystem`
      Throws:
        `java.io.IOException`

    - #### exists

          public boolean exists(org.apache.hadoop.fs.Path path)
                         throws java.io.IOException

      Overrides:
        `exists` in class `org.apache.hadoop.fs.FileSystem`
      Throws:
        `java.io.IOException`

    - #### getFileStatus

          public org.apache.hadoop.fs.FileStatus getFileStatus(org.apache.hadoop.fs.Path path)
                                                        throws java.io.IOException

      Specified by:
        `getFileStatus` in class `org.apache.hadoop.fs.FileSystem`
      Throws:
        `java.io.IOException`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.